Erro na atualização do Arch Linux

1. Erro na atualização do Arch Linux

mateus
capillata

(usa Outra)

Enviado em 26/01/2022 - 16:59h

Tentei atualizar o sistema com o #pacman -Syuu, mas fica aparecendo essas mensagens:

:: File /var/cache/pacman/pkg/libspeechd-0.11.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
error: speech-dispatcher: signature from "Alexander Epaneshnikov <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/speech-dispatcher-0.11.1-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y

depois de dar "yes" pros dois, aparece isso:

error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

já procurei em vários lugares e tentei muitas coisas, alguém poderia me ajudar por favor?



  


2. Erro na atualização do Arch Linux

Leandro
LeSilver

(usa Fedora)

Enviado em 26/01/2022 - 17:15h

Tenta #pacman -S archlinux-keyring depois atualiza.


3. Re: Erro na atualização do Arch Linux

LinuxWalker
Delusion

(usa Debian)

Enviado em 26/01/2022 - 19:06h

eu duvido que você use esse pacote...
não será mais uma daquelas trankeiras que vêm de brinde nos ambientes gráficos bombadões? kde, gnome...
já tentou desinstalar o pacote?
pacman -Rns speech-dispatcher



4. Re: Erro na atualização do Arch Linux

niquelnausea
niquelnausea

(usa Arch Linux)

Enviado em 27/01/2022 - 14:23h


deleta isso

sudo rm /var/cache/pacman/pkg/speech-dispatcher-0.11.1-1-x86_64.pkg.tar.z*


se não funcionar, deleta todo o cache

sudo pacman -Scc
sudo rm -R /var/cache/pacman/pkg/*.*


da uma olhada no teu pacman.conf, e veja os repositórios ativados. a regra de ouro é: não use de terceiros se não sabe e tem total entendimento do que esta fazendo.


5. Re: Erro na atualização do Arch Linux

Andre Paulo Silva Liro
a2liro

(usa Arch Linux)

Enviado em 29/01/2022 - 06:14h

Resolvi removendo o orca
sudo pacman -Rsdn orca 
, atualizei
sudo pacman -Syu 
e mandei reinstalar o orca
sudo pacman -S orca 
e deu certo. O pacote speech-dispatcher está como dependência do orca, não dá para remover diretamente.


6. Re: Erro na atualização do Arch Linux

Ramon
rvenson

(usa Arch Linux)

Enviado em 29/01/2022 - 12:34h

(Pra quem tiver o mesmo problema e não quiser remover o orca) A assinatura desse dev está desatualizada, então você precisa atualizar seu keyring. Execute
pacman-key --refresh 
pra tentar atualizar suas chaves e depois tente executar o
pacman -Syu 
novamente. Você também pode tentar atualizar apenas as chaves desatualizadas colocando o email da chave no final do primeiro comando, pois demora menos. Ex.:
pacman-key --refresh [email protected] 



7. Re: Erro na atualização do Arch Linux

LinuxWalker
Delusion

(usa Debian)

Enviado em 29/01/2022 - 18:54h

e para que você usa esse pacote orca? deficiência visual?
nas minhas instalações eu sempre desinstalo ele e o gnome-keyring.